Assign a WhatsApp Calling number to an agent
curl --request POST \
--url https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/channels/whatsapp-call \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone_number_id": "<string>"
}
'import requests
url = "https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/channels/whatsapp-call"
payload = { "phone_number_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({phone_number_id: '<string>'})
};
fetch('https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/channels/whatsapp-call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Agent Channel Bindings
Assign a WhatsApp Calling number to an agent
Assigns a WhatsApp Business number to the agent for WhatsApp Calling. Use this when the agent should place or receive WhatsApp voice calls through an already connected number. Calling must be enabled on the number, and the agent is also assigned for WhatsApp messaging.
POST
/
api
/
v1
/
agents
/
{uuid}
/
channels
/
whatsapp-call
Assign a WhatsApp Calling number to an agent
⌘I